<?php


class clientes extends tablas
{

    var $_id;
    
    var $_nombre;
    var $_apellido;
    var $_email;
    var $_nacimiento;
    var $_nacionalidad;
    var $_ccpp;
    var $_direccion;
    var $_ciudad;
    var $_provincia;
    var $_telefono ;
    var $_password ;


    public function __construct($nombre="", $apellido="", $email="", $nacionalidad, $ccpp){

    }

    public function load($id = false){
        if ($id){
            $this->_db->where("ID = ".$id);
        }
        $var = $this->_db->get_tabla("clientes");

        $this->_nombre = $var[0]['Nombre'];
        $this->_apellido = $var[0]['Apellido'];
        $this->_email = $var[0]['Email'];
        $this->_nacionalidad = $var[0]['Nacionalidad'];
        $this->_nacimiento = $var[0]['Nacimiento'];
        $this->_ccpp = $var[0]['Ccpp'];
        $this->_direccion = $var[0]['Direccion'];
        $this->_ciudad = $var[0]['Ciudad'];
        $this->_provincia = $var[0]['Provincia'];
        $this->_telefono = $var[0]['Telefono'];
        $this->_password = $var[0]['Password'];
        $this->_id = $var[0]['ID'];
        return $var;
    }




    public function get_nombre(){
        return $this->_nombre;
    }
    public function set_nombre($string){
        $this->_nombre = $string;
    }
    public function get_apellido(){
        return $this->_apellido;
    }
    public function set_apellido($string){
        $this->_apellido = $string;
    }
    public function get_email(){
        return $this->_email;
    }
    public function set_email($string){
        $this->_email = $string;
    }
    public function get_nacimiento(){
        return $this->_nacimiento;
    }
    public function set_nacimiento($string){
        $this->_nacimiento = $string;
    }
    public function get_nacionalidad(){
        return $this->_nacionalidad;
    }
    public function set_nacionalidad($num){
        $this->_nacionalidad = $string;
    }
    public function get_ccpp(){
        return $this->_ccpp;
    }
    public function set_ccpp($num){
        $this->_ccpp = $string;
    }
    public function get_direccion(){
        return $this->_direccion;
    }
    public function set_direccion($num){
        $this->_direccion = $string;
    }
    public function get_ciudad(){
        return $this->_ciudad;
    }
    public function set_ciudad($num){
        $this->_ciudad = $string;
    }
    public function get_provincia(){
        return $this->_provincia;
    }
    public function set_provincia($num){
        $this->_provincia = $string;
    }
    public function get_telefono(){
        return $this->_telefono;
    }
    public function set_telefono($num){
        $this->_telefono = $string;
    }
    public function get_password(){
        return $this->_password;
    }
    public function set_password($num){
        $this->_password = $string;
    }


    public function save(){
        
        $arr =  array(
                "Nombre"=>$this->_nombre,
                "Apellido"=>$this->_nombre,
                "Nacimiento"=>$this->_nacimiento,
                "Nacionalidad"=>$this->_nacionalidad,
                "Ccpp"=>$this->_ccpp,
                "Telefono"=>$this->_telefono,
                "Password"=>$this->_password,
                "Provincia"=>$this->_provincia,
                "Pais"=>$this->_pais,
                "Ciudad"=>$this->_ciudad,
                "Direccion"=>$this->_direccion,
            );

        if ($this->_id==0){
            $this->_db->insert("clientes",$arr);
        }
        else{
            $this->_db->update();
        }
    }

}

?>
